Create Time Entry
curl --request POST \
--url https://cloud.kaneo.app/api/time-entry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskId": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"description": "<string>"
}
'import requests
url = "https://cloud.kaneo.app/api/time-entry"
payload = {
"taskId": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskId: '<string>',
startTime: '<string>',
endTime: '<string>',
description: '<string>'
})
};
fetch('https://cloud.kaneo.app/api/time-entry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"taskId": "<string>",
"userId": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"duration": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
}Time Entries
Create Time Entry
Create a new time entry for a task
POST
/
time-entry
Create Time Entry
Authorizations
Bearer token authentication
Response
200 - application/json
Time entry created successfully
Was this page helpful?
⌘I